%global pypi_name py3dns

Name:               python-%{pypi_name}
Version:            4.0.0
Release:            %mkrel 3
Summary:            Python3 DNS library
Group:              Development/Python
License:            Python
URL:                https://pypi.org/project/py3dns/
Source0:            %{pypi_source}

BuildArch:          noarch

%description
This Python 3 module provides a DNS API for looking up DNS entries from
within Python 3 modules and applications. This module is a simple,
lightweight implementation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This Python 3 module provides a DNS API for looking up DNS entries from
within Python 3 modules and applications. This module is a simple,
lightweight implementation.


%prep
%autosetup -n %{pypi_name}-%{version} -p1


# Some files are latin-1 encoded but are incorrectly labelled as UTF-8 by
# upstream (see rhbz:620265)
#
# Convert them to actually be UTF-8, preserving the (now-correct) encoding
# declaration (preserving timestamps):
for file in DNS/Lib.py DNS/Type.py ; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files DNS

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.txt README-guido.txt CREDITS.txt CHANGES
%license LICENSE


%changelog
* Sat Mar 01 2025 wally <wally> 4.0.0-3.mga10
+ Revision: 2155555
- rebuild for python3.13

* Fri Feb 16 2024 papoteur <papoteur> 4.0.0-2.mga10
+ Revision: 2041918
- Rebuild
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 3.2.1-6.mga9
+ Revision: 1823090
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 3.2.1-5.mga9
+ Revision: 1779494
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 3.2.1-4.mga9
+ Revision: 1733948
- fix pkg name

* Sat Jun 26 2021 tmb <tmb> 3.2.1-3.mga9
+ Revision: 1733773
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 3.2.1-2.mga9
+ Revision: 1732948
- Rebuild for python 3.9

* Wed Nov 11 2020 guillomovitch <guillomovitch> 3.2.1-1.mga9
+ Revision: 1644628
- rename source package
- new version 3.2.1
  rename source package to python-py3dns

* Sun Feb 16 2020 umeabot <umeabot> 3.1.1-13.mga8
+ Revision: 1533674
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 3.1.1-12.mga8
+ Revision: 1444888
- rebuild for python-3.8

* Tue Jan 08 2019 tv <tv> 3.1.1-11.mga7
+ Revision: 1352086
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 3.1.1-10.mga7
+ Revision: 1290589
- Mageia 7 Mass Rebuild

* Sun Sep 02 2018 ngompa <ngompa> 3.1.1-9.mga7
+ Revision: 1256174
- Adapt for Mageia
- imported package python3-py3dns

